
{ lib, python3Packages, mopidy }:

python3Packages.buildPythonApplication rec {
  pname = "mopidy-funkwhale";
  version = "1.0";

  src = builtins.fetchTarball {
    url = "https://files.pythonhosted.org/packages/2a/0a/b7cb53fcc5de17f688f249ff9bfa8bf999085187eae360ae1939a8b0bc29/mopidy_funkwhale-1.0.tar.gz";
    sha256 = "1migp2xbqv65fw26b8vi8ffwh89h66cx62dpdw6skyn32f5zw4cc";
  };

  patchPhase = "sed s/vext// -i setup.cfg";
  
  propagatedBuildInputs = [
    mopidy
    python3Packages.pygobject3
    python3Packages.requests
    python3Packages.requests_oauthlib
  ];

  doCheck = false;

  meta = with lib; {
    description = "Mopidy extension for playing music from Funkwhale";
    license = licenses.gpl3;
    maintainers = [ ];
  };
}
